#!/usr/bin/env python
#-*- coding:utf-8 -*-
import sys

proposal = {
	"java.lang.ArithmeticException": """算術計算で例外が発生しました．
	- ゼロ除算を行っていませんか？
	""",
	"java.lang.NullPointerException": """ガッ
	メソッドを呼び出した変数がnullになっているようです．
	- is---Defined()を使っていますか？
	- ' == null'でチェックする必要があるかもしれません．
	""",
	"java.lang.ClassCastException": """不可能なキャストをしています．
	- CivilianのPositonはATになることがあります．instanceof演算子で確認していますか？
	- List, Set, MapなどにObject型を軽率に使っては居ませんか？ジェネリクスを使いましょう．
	""",
	"java.lang.ArrayIndexOutOfBoundsException": """インデックスが負または，配列のサイズ以上になっています．
	""",
	"java.lang.IndexOutOfBoundsException": """インデックスが範囲外になっています．
	""",
	"java.util.ConcurrentModificationException": """許可されていない変更を行いました．
	- 拡張for文内のremoveの利用方法が間違っている可能性があります．イテレータを使いましょう．
	""",
}


def main():
	exceptions = set()
	with open("stderr.txt") as f:
		for line in f:
			if line in exceptions: continue
			if line[0].isalpha():
				exceptions.add(line)
				print line
				if line in proposal:
					print proposal[line]
			else:
				line = line.strip()
				if line.startswith("at rione"):
					print line + " の周辺がおかしいかもしれません．"
	return 0

if __name__ == '__main__':
	sys.exit(main())

