package rione.communication;

import rescuecore2.worldmodel.ChangeSet;
import rescuecore2.worldmodel.EntityID;
import rione.io.BitArrayInputStream;

public class DummyPort implements Port {

	private int counter = 0;

	@Override
	public void init(final ChangeSet changed) {
		counter = -1;
	}

	@Override
	public boolean hasNext() {
		counter++;
		return counter < 1;
	}

	@Override
	public MessageBitSection next() {
		MessageBitSection sec = new MessageBitSection(100 - counter);
		sec.add('a' + counter, 8);
		return sec;
	}

	@Override
	public void read(final EntityID sender, final int time, final BitArrayInputStream stream) {
		char a = (char) stream.readBit(8);
		
		System.out.print(this.getClass().getName() + ": ");
		System.out.println(a);
		if(a !='a'){throw new IllegalStateException();}
	}
}
