package rione.communication;

import java.util.ArrayList;
import java.util.Iterator;

import rescuecore2.misc.Pair;

public class MessageBitSection implements Comparable<MessageBitSection>, Iterable<Pair<Integer, Integer>> {

	private int priority;
	private int headerNumber;
	
	private int bitLength = 0;
	
	final ArrayList<Pair<Integer, Integer>> datasizepairs = new ArrayList<Pair<Integer, Integer>>();
	
	public MessageBitSection(final int priority) {
		this.priority = priority;
	}
	
	public void add(final int data, final int n) {
		bitLength += n;
		datasizepairs.add(new Pair<Integer, Integer>(data, n));
	}
	
	public void setPriority(int priority) {
		this.priority = priority;
	}
	
	@Override
	public int compareTo(MessageBitSection o) {
		return this.priority - o.priority;
	}

	public void setHeaderNumber(int headerNumber) {
		this.headerNumber = headerNumber;
	}

	public int getHeaderNumber() {
		return headerNumber;
	}

	@Override
	public Iterator<Pair<Integer, Integer>> iterator() {
		return datasizepairs.iterator();
	}

	public int getBitLength() {
		return bitLength;
	}


}
