package rione.model.route.pov.graph;

import java.util.ArrayList;
import java.util.Collection;

public class EdgeNode extends PointNode {

	private Collection<AreaNode> neighbours;
	private final int id;
	
	public EdgeNode(int id, EdgeNodeBase edge) {
		super(false, edge.getX(), edge.getY());
		this.id = id;
		neighbours = new ArrayList<AreaNode>();
	}
	
	public Collection<AreaNode> getNeighbours() {
		return neighbours;
	}
	
	public void add(AreaNode areaNode) {
		neighbours.add(areaNode);
	}

	@Override
	public int hashCode() {
		return id;
	}
	@Override
	public boolean equals(Object o) {
		return o != null && this.hashCode() == o.hashCode();
	}

	public void addNeighbour(AreaNode areaNode) {
		neighbours.add(areaNode);
	}

}
