package rione.model.route.pov.graph;

import rescuecore2.misc.Pair;

public class PointNode {
	private final boolean endable;
	private final Pair<Integer, Integer> pos;
	
	public PointNode(final boolean endable, int x, int y) {
		this.endable = endable;
		pos = new Pair<Integer, Integer>(x, y);
	}

	/**
	 * @return このノードが端になりえるか
	 */
	public boolean isEndable() {
		return endable;
	}
	
	public int getX() {
		return pos.first();
	}

	public int getY() {
		return pos.second();
	}
	
	@Override
	public int hashCode() {
		return pos.hashCode();
	}
	@Override
	public boolean equals(Object o) {
		if (o instanceof PointNode) {
			return pos.equals(((PointNode)o).pos);
		}
		return false;
	}

	public double distance(int x, int y) {
		return Math.hypot(this.getX() - x, this.getY() - y);
	}

	public double distance(PointNode next) {
		return distance(next.getX(), next.getY());
	}
	
}
