package rione.model.route.pov.graph;

import java.util.Collection;
import java.util.HashMap;
import rescuecore2.worldmodel.EntityID;
import rione.model.AdvancedWorldModel;

/**
 * POVのグラフ
 * @author utisam
 *
 */
public class PointOfVisivility {
	final private PointNode[] points;
	final private HashMap<EntityID, AreaNode> idToArea;
	public PointOfVisivility(final AdvancedWorldModel world) {
		POVBuilder builder = new POVBuilder(world);
		points = builder.getPointsResult();
		idToArea = builder.getIdToAreaResult();
	}

	public AreaNode get(EntityID id) {
		return idToArea.get(id);
	}

	public Collection<AreaNode> getAreaNodes() {
		return idToArea.values();
	}
	
	public PointNode getPointFromHash(int nodeHash) {
		return points[nodeHash];
	}
	
	public int size() {
		return points.length;
	}
}
