#!/bin/sh

if [ $# -ne "7" ]; then
	echo "Usage:"
	echo " $0 [FB] [FS] [PF] [PO] [AT] [AC] [HOST]"
	echo " Use -1 for \"all agents\""
	echo " example: $0 -1 -1 0 0 0 0 127.0.0.1"
	exit 1
fi


TEAM_CP="
jars/clear.jar:\
jars/collapse.jar:\
jars/commons-logging-1.1.1.jar:\
jars/dom4j.jar:\
jars/gis2.jar:\
jars/handy.jar:\
jars/human.jar:\
jars/ignition.jar:\
jars/jaxen-1.1.1.jar:\
jars/jcommon-1.0.16.jar:\
jars/jfreechart-1.0.13.jar:\
jars/jscience-4.3.jar:\
jars/jsi-1.0b2p1.jar:\
jars/jts-1.11.jar:\
jars/junit-4.5.jar:\
jars/kernel.jar:\
jars/log4j-1.2.15.jar:\
jars/maps.jar:\
jars/misc.jar:\
jars/rescuecore2.jar:\
jars/resq-fire.jar:\
jars/rioneviewer.jar:\
jars/sample.jar:\
jars/standard.jar:\
jars/traffic3.jar:\
jars/trove-0.1.8.jar:\
jars/uncommons-maths-1.2.jar:\
bin"

echo "*****************************************************************"
echo "* Ri-one - RoboCup Simulation League Project Team               *"
echo "*     Faculty of Information Science and Engineering            *"
echo "*     Ritsumeikan University, Japan                             *"
echo "* Created by:           Ri-one                                  *"
echo "* Research Coordinator: Katsuari Kamei                          *"
echo "* Team Coordinator:     Katsuari Kamei                          *"
echo "* Copyright 2009-2013.  Ri-one                                  *"
echo "* All rights reserved.                                          *"
echo "*****************************************************************"
sleep 0.2
echo "            #                                #"
echo "            #                                #"
echo "            ##################################"
echo "            ##################################"
echo "            ##################################"
echo "            #                ###             #"
echo "            #              #####             #"
echo "                        ########             #"
echo "                     ###########             #"
echo "                  ###########  ##           ##"
echo "            #  ############    ##           ##"
echo "            ###########        ###         ###"
echo "            #########           ###       ####"
echo "            ######              #############"
echo "            ####                 ###########"
echo "            #                       #####"
sleep 0.2
echo "            #"
echo "            #                  #"
echo "            ####################      ###"
echo "            ####################     #####"
echo "            ####################     #####"
echo "            #"
sleep 0.2
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo "                       ##"
echo ""
sleep 0.2
echo "                   ######"
echo "                ############"
echo "              ################"
echo "             #####        #####"
echo "            ###               ##"
echo "            #                  #"
echo "            #                  #"
echo "            ##                ##"
echo "             ##              ###"
echo "             #####        #####"
echo "               ###############"
echo "                 ##########"
echo ""
sleep 0.2
echo "            #                  #"
echo "            ####################"
echo "            ####################"
echo "            ####################"
echo "            #               ##"
echo "                             ##"
echo "                              ##"
echo "                              ##"
echo "            #               ####"
echo "            ####################"
echo "            ###################"
echo "            ################"
echo "            #"
sleep 0.2
echo "                   ######"
echo "                ############"
echo "              ################"
echo "             #####   ##   #####"
echo "            ###      ##       ##"
echo "            #        ##        #"
echo "            #        ##        #"
echo "            #        ##       ##"
echo "             #       ##     ####"
echo "             ##      ##########"
echo "               ##    ########"
echo "                     ####"
echo ""
echo "Start agents."

java -Xms4096m -Xmx4096m -server -cp $TEAM_CP rione.LaunchAgents rione.agent.fb.FireBrigadeAgent*$1 rione.agent.fb.FireStationAgent*$2 rione.agent.pf.PoliceForceAgent*$3 rione.agent.pf.PoliceOfficeAgent*$4 rione.agent.at.AmbulanceTeamAgent*$5 rione.agent.at.AmbulanceCentreAgent*$6 -h $7 --loadabletypes.inspect.dir=jars --random.seed=1

